package cz.moneta.test.dsl.aresapi;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.aresapi.AresApiEndpoint;
import cz.moneta.test.harness.support.rest.RawRestRequest;

public class AresApiBuilder {

    private final Harness harness;

    public AresApiBuilder(Harness harness) {
        this.harness = harness;
    }

    public RawRestRequest.Path prepareRequest() {
        return RawRestRequest.jsonBuilder(harness.getEndpoint(AresApiEndpoint.class));
    }
}